package com.syc.slm.slmbi.config;

import org.springframework.beans.factory.annotation.Value;

/**
 * @author: guangyi-liang
 * @date: 2021/5/7
 */
public final class DataCenterConfig {

    @Value("${dc_client.host}")
    public static String dcClientHost;

    @Value("${dc_client.interfaces.permissionCodeUrl}")
    public static String permissionCodeUrl;

    @Value("${dc_client.interfaces.companyAppId}")
    public static String companyAppId;

    @Value("${dc_client.interfaces.positionListUrl}")
    public static String positionListUrl;
    @Value("${dc_client.interfaces.deptListUrl}")
    public static String deptListUrl;
    @Value("${dc_client.interfaces.userTree}")
    public static String userTree;
    @Value("${dc_client.interfaces.variableList}")
    public static String variableList;
    @Value("${dc_client.interfaces.deviceList}")
    public static String deviceList;

    @Value("${dc_client.interfaces.deptsRoles}")
    public static String deptsRoles;

    @Value("${dc_client.interfaces.businessFiledData}")
    public static String businessFiledData;

    @Value("${dc_client.interfaces.businessDataFieldStatistics}")
    public static String businessDataFieldStatistics;

    @Value("${dc_client.interfaces.variableCodeHistoryList}")
    public static String variableHistoryDataList;
    @Value("${dc_client.interfaces.variableAllDataList}")
    public static String variableRealTimeDataList;
    @Value("${dc_client.interfaces.filedValue}")
    public static String filedValue;
    @Value("${dc_client.interfaces.send}")
    public static String send;
    @Value("${dc_client.interfaces.variableStatus}")
    public static String variableStatus;

    @Value("${dc_client.interfaces.variableHistoryStatus}")
    public static String variableHistoryStatus;

    @Value("${dc_client.interfaces.realTimeVariableDataList}")
    public static String realTimeVariableDataList;

    @Value("${dc_client.interfaces.variableStatusRealTimeDataList}")
    public static String variableStatusRealTimeDataList;

}
